Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL
Version:	1.2.14
Release:	1
License:	GNU/GPL
URL:		http://www.libsdl.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Summary:	SDL is a cross-platform multimedia library.

# circular dependency, build SDL - DirectFB - SDL to resolve
BuildRequires: DirectFB

BuildRequires: pulseaudio-libs-devel
BuildRequires: libusb-devel

BuildRequires: audiofile-devel
BuildRequires: esound-devel
BuildRequires: alsa-lib-devel
BuildRequires: libXext-devel
BuildRequires: libX11-devel
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libXrender-devel
BuildRequires: libXrandr-devel
BuildRequires: gettext-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: nasm

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package	devel
Summary:	Files needed to develop Simple DirectMedia Layer applications
Group:		Development/Libraries
Requires:	SDL = %{version}-%{release}

%description	devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device. This package provides the libraries, include files, and other
resources needed for developing SDL applications.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--disable-video-svga \
--disable-video-ggi \
--disable-video-aalib \
--enable-sdl-dlopen \
--enable-esd-shared \
--enable-alsa \
--disable-rpath
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libSDL-1.2.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/sdl-config
%{_includedir}/SDL
%{_libdir}/libSDL.a
%{_libdir}/libSDL.la
%{_libdir}/libSDLmain.a
%{_libdir}/libSDL.so
%{_pkgconfig}/sdl.pc
%{_aclocal}/sdl.m4
%{_datadir}/man/man3/SDLKey.3.gz
%{_mandir}/man3/SDL_*.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.14-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.2.13-3
- rebuild without DirectFB-devel installed
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.13-2
- rebuild against gcc 4.1.2
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.13-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version update
* Thu Dec 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-2
- rebuilt against DirectFB 0.9.25.1
- added BuildRequires
* Tue Jul 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-1
- Update to Version 1.2.11
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.10-1
- Update to Version 1.2.10
* Sun Nov 20 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.9-1
- Update to Version 1.2.9, moved more files to devel package
* Wed Apr 13 2005 Christian Wasem <wasem@ccux-linux.de> - 1.2.8-1
- Update to Version 1.2.8
